Package org.apache.torque.generator.configuration.option

# Class XmlOptionConfiguration

java.lang.Object
org.apache.torque.generator.configuration.option.FileOptionsConfiguration
org.apache.torque.generator.configuration.option.XmlOptionConfiguration

All Implemented Interfaces:
  `OptionsConfiguration`

public class XmlOptionConfiguration extends FileOptionsConfiguration
An option configuration which reads the options from a XML file in the java properties XML format. $Id: XmlOptionConfiguration.java 1839288 2018-08-27 09:48:33Z tv $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlOptionConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Option>`
  `getOptions(ConfigurationProvider configurationProvider)`
  Reads the options from the XML file given in the path and returns them.
  `protected Collection<Option>`
  `toOptions(Map<? extends Object,? extends Object> optionsMap)`
  Creates options from a Map and returns them.

  ### Methods inherited from class org.apache.torque.generator.configuration.option.FileOptionsConfiguration

  `getPath, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XmlOptionConfiguration

    public XmlOptionConfiguration()

- ## Method Details

  - ### getOptions

    public Collection<Option> getOptions(ConfigurationProvider configurationProvider) throws ConfigurationException
    Reads the options from the XML file given in the path and returns them.
    Parameters:
      `configurationProvider` - the provider to access configuration files, not null.
    Returns:
      the options contained in the file, not null.
    Throws:
      `ConfigurationException` - if the file cannot be accessed or parsed.

  - ### toOptions

    protected Collection<Option> toOptions(Map<? extends Object,? extends Object> optionsMap)
    Creates options from a Map and returns them.
    Parameters:
      `optionsMap` - the map containing the option qualified names as key and the option value as value. optionsMap and the keys therein must not be null.
    Returns:
      the options, not null.